This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 663669 - the default rhsm.conf is missing proxy_user and proxy_password parameters
the default rhsm.conf is missing proxy_user and proxy_password parameters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Adrian Likins
John Sefler
:
Depends On:
Blocks: Entitlement-Beta
  Show dependency treegraph
 
Reported: 2010-12-16 10:08 EST by John Sefler
Modified: 2011-05-19 09:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-12-16 10:08:53 EST
Description of problem:

For those users of the subscription-manager (CLI), the proxy_user and proxy_password are missing from the rhsm.config.  Only after starting the subscription-manager-gui and setting in the gui do the values get saved to the rhsm.config.  They need to be there by default so a cli user will know where to set these values.

[root@jsefler-dev2-2 ~]# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.93.3-1.git.34.af3969f.fc14.x86_64
subscription-manager-0.93.3-1.git.34.af3969f.fc14.x86_64



[root@jsefler-dev2-2 ~]# cat /etc/rhsm/rhsm.conf
# Red Hat Subscription Manager Configuration File:

# Unified Entitlement Platform Configuration
[server]
# Server hostname:
hostname=candlepin1.devlab.phx1.redhat.com

# Server prefix:
prefix = /candlepin

# Server port:
port=443

# Set to 1 to disable certificate validation:
insecure = 0

# Set the depth of certs which should be checked
# when validating a certificate
ssl_verify_depth = 3

# Server CA certificate location:
ca_cert_dir = /etc/rhsm/ca/

# an http proxy server to use
proxy_hostname =

# port for http proxy server
proxy_port = 

[rhsm]
# Content base URL:
baseurl=http://mockamai.devlab.phx1.redhat.com

# Default CA cert to use when generating yum repo configs:
repo_ca_cert = %(ca_cert_dir)sfakamai-cp1.pem

# Where the certificates should be stored
productCertDir = /etc/pki/product
entitlementCertDir = /etc/pki/entitlement
consumerCertDir = /etc/pki/consumer

[rhsmcertd]
# Frequency of certificate refresh (in minutes):
certFrequency = 240


^^^^  NOTICE THE proxy_user AND proxy_password ARE MISSING

[root@jsefler-dev2-2 ~]# subscription-manager-gui &
[1] 28483
IN THE GUI, CLICK Proxy Configuration AND SET A PROXY USERNAME AND PASSWORD

[root@jsefler-dev2-2 ~]# cat /etc/rhsm/rhsm.conf
[DEFAULT]
proxy_hostname = None
proxy_user = None
hostname = localhost
ssl_verify_depth = 3
ca_cert_dir = /etc/rhsm/ca/
proxy_password = None
proxy_port = None
prefix = /candlepin
repo_ca_cert = /etc/rhsm/ca/redhat-uep.pem
port = 8443

[rhsmcertd]
certfrequency = 240

[rhsm]
baseurl = http://mockamai.devlab.phx1.redhat.com
productcertdir = /etc/pki/product
entitlementcertdir = /etc/pki/entitlement
consumercertdir = /etc/pki/consumer
repo_ca_cert = %(ca_cert_dir)sfakamai-cp1.pem

[server]
proxy_hostname = 
proxy_user = redhat
insecure = 0
hostname = candlepin1.devlab.phx1.redhat.com
ssl_verify_depth = 3
ca_cert_dir = /etc/rhsm/ca/
proxy_password = redhat
proxy_port = 
prefix = /candlepin
port = 443

^^^^ ONLY NOW DO THE proxy_user AND proxy_password GET PERSISTED INTO THE rhsm.conf
Comment 1 Adrian Likins 2010-12-16 10:22:35 EST
commit d77e06175cc82591aa28d1146efed5f163f24126
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Dec 16 10:16:01 2010 -0500

    663669: add proxy_user and proxy_password to default config
Comment 3 John Sefler 2010-12-16 11:44:44 EST
[root@jsefler-onprem01 ~]# rpm -qa | grep subscription-manager
subscription-manager-0.93.3-1.git.35.d77e061.fc14.x86_64
subscription-manager-gnome-0.93.3-1.git.35.d77e061.fc14.x86_64


[root@jsefler-onprem01 ~]# cat /etc/rhsm/rhsm.conf | grep proxy
# an http proxy server to use
proxy_hostname =
# port for http proxy server
proxy_port = 
# user name for authenticating to an http proxy, if needed
proxy_user =
# passwird for basic http proxy auth, if needed
proxy_password =


moving to VERIFIED....
However, there is a typo in the proxy_password description
Comment 4 errata-xmlrpc 2011-05-19 09:38:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.